#include "DS3231.h"

#include "clock.h"

// Init the DS3231 using the hardware interface
// Note that this assumes that the clock is attached to the SCL and SDA pins of the board, not any other analog inpu

DateTime now;
RTClib rtc;
DS3231 clock;

void setDateTime(int year, char month, char day, char hour, char minutes, char seconds) {
  clock.setYear( year % 100 );
  clock.setMonth(month);
  clock.setDate(day);
  clock.setHour(hour);
  clock.setMinute(minutes);
  clock.setSecond(seconds);
}


const DateTime& readDateTime() {
  now = rtc.now();
  return now;
}

