/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.pastella.sensormonitor.service.impl;

import gnu.io.NRSerialPort;
import it.pastella.sensormonitor.service.IDevice;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import it.pastella.sensormonitor.service.IDeviceFactory;
/**
 *
 * @author mrighele
 */
public class DeviceFactory implements IDeviceFactory {
    @Override
    public Collection<String> getDeviceList() {
        return NRSerialPort.getAvailableSerialPorts();
    }

    @Override
    public IDevice getDevice(String deviceName) {
        NRSerialPort serialPort = new NRSerialPort(deviceName, 9600);
        serialPort.connect();
        Device d = new Device(serialPort);
        return d;
    }
}
